/*
 * Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
 *
 * This file is part of NRAO Workspaces.
 *
 * Workspaces is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Workspaces is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
 */
import {animation, style, animate, useAnimation, transition, trigger} from "@angular/animations";

export var slideDown = animation([
  style({'overflow-y': 'hidden', 'height': 0, opacity: 0 }),
  animate('500ms ease-in-out')
]);

export var slideUp = animation([
  animate('500ms ease-in-out', style({'overflow-y': 'hidden', 'height': 0, opacity: 0 }))
]);

export const verticleSlide = [
  trigger('vslider', [
    transition(':enter', [useAnimation(slideDown)]),
    transition(':leave', [useAnimation(slideUp)])
  ])
];

export var fadeOut = animation([
  animate( '300ms', style({opacity: 0 }))
]);

export var fadeIn = animation([
  style({ opacity: 0 }),
  animate( '300ms', style({opacity: 1 }))
]);

export const fadeInOut = [
  trigger('fadeInOut', [
    transition(':enter', [useAnimation(fadeIn)]),
    transition(':leave', [useAnimation(fadeOut)])
  ])
];
